> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Current User



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json patch /api/v1/users/me
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/users/me:
    patch:
      tags:
        - Users
      summary: Update Current User
      operationId: api_users_router_update_current_user
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserProfileUpdateRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserProfileResponse'
      security:
        - JWTBearer: []
components:
  schemas:
    UserProfileUpdateRequest:
      properties:
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
      title: UserProfileUpdateRequest
      type: object
    UserProfileResponse:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        email:
          title: Email
          type: string
        first_name:
          title: First Name
          type: string
        last_name:
          title: Last Name
          type: string
        display_name:
          title: Display Name
          type: string
        picture:
          title: Picture
          type: string
        email_verified:
          title: Email Verified
          type: boolean
        has_password:
          title: Has Password
          type: boolean
        timezone:
          title: Timezone
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        last_login_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Login At
      required:
        - id
        - email
        - first_name
        - last_name
        - display_name
        - picture
        - email_verified
        - has_password
        - timezone
        - created_at
      title: UserProfileResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````